'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});
exports.prepareClassName = prepareClassName;
exports.isClassName = isClassName;
exports.isDOMElement = isDOMElement;

function prepareClassName(element) {
    return (element.className || element).trim().split(/\s+/);
}

function isClassName(element) {
    return typeof element === 'string';
}

function isDOMElement(element) {
    return typeof element === 'object' && 'nodeType' in element && element.nodeType === 1;
}